package cn.com.qmth.examcloud.service.core.service;

import java.util.List;
import java.util.Map;

import cn.com.qmth.examcloud.service.core.entity.Permission;


/**
 * 
 * @author  	chenken
 * @date    	2017年6月15日下午3:27:59
 * @company 	QMTH
 * @description
 */
public interface PermissionService {
	/**
	 * 保存权限
	 * @param permission
	 */
	public void savePermission(Permission permission);
	
	/**
	 * 按照对象查询
	 * @param permission
	 * @return
	 */
	public List<Permission> findByPermission(Permission permission);
	
	/**
	 * 按系统取出权限
	 * @param systemName
	 * @return
	 */
	public Map<String,List<Permission>> findPermissionsBySystem(String systemName);
	/**
	 * 按ID查询权限
	 * @return
	 */
	public Permission findById(int id);
	/**
	 * 按ID集合查询权限 IDS
	 * @param ids
	 * @return
	 */
	public List<Permission> findPermissionByIds(List<Integer> ids);
	
	//by weiwenhai
	/**
	 * 根据id删除权限
	 * @param id
	 */
	public void deletePermissionById(Integer id);
	
	/**
	 * 根据父级权限id查询所有子权限
	 * @param id
	 * @return
	 */
	public List<Permission> findPermissionByParentId(Integer id);
	
	/**
	 * 根据权限id删除权限
	 * @param id
	 * @return
	 */
	public Map<String,String> deletePermission(Integer id);
}
