package cn.com.qmth.examcloud.service.core.service;

import java.util.List;
import java.util.Map;

import cn.com.qmth.examcloud.service.core.entity.Permission;
import cn.com.qmth.examcloud.service.core.entity.RolePermissionRelation;

/**
 * 
 * @author  	chenken
 * @date    	2017年6月15日下午5:26:13
 * @company 	QMTH
 * @description 角色权限关联
 */
public interface RolePermissionRelationService {
	/**
	 * 根据角色查询权限
	 * @param roleName
	 * @param systemName
	 * @return
	 */
	public Map<String,List<Permission>> findPermissionByRole(RolePermissionRelation rolePermissionRelation);
	/**
	 * 保存角色权限
	 * @param rolePermissionRelation
	 */
	public void saveRolePermission(RolePermissionRelation rolePermissionRelation);
	/**
	 * 删除角色权限
	 * @param roleName
	 * @param systemName
	 */
	public void deleteRolePermission(String roleName,String systemName,String permissionType);
	/**
	 * 根据角色和系统查询
	 * @param systemName
	 * @param roleCode
	 * @return
	 */
	public List<RolePermissionRelation> findPermission(String systemName,String roleCode,String permissionType);
	
	//by weiwenhai
	/**
	 * 根据权限id查询权限角色
	 * @param id
	 * @return
	 */
	public List<RolePermissionRelation> findRolePermissionRelationByPermissonId(Integer id);
}
