package cn.com.qmth.examcloud.service.core.service;

import cn.com.qmth.examcloud.common.uac.entity.Role;
import cn.com.qmth.examcloud.common.uac.entity.RolesService;
import cn.com.qmth.examcloud.common.uac.enums.RoleMeta;
import cn.com.qmth.examcloud.service.core.repo.UserRoleRepo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;

/**
 * 用户角色服务类
 * Created by songyue on 17/2/22.
 */
@Service
public class UserRoleService{

    @Autowired
    UserRoleRepo userRoleRepo;


    /**
     * 获取全部角色
     * @return
     */
    public List<Role> findAllRoles(){
        return RolesService.ROLE_LIST;
    }

    public List<Role> findMarkerRoles(){
        List<Role> tempRoles = new ArrayList<>(RolesService.ROLE_LIST);
        tempRoles = tempRoles.stream()
                .filter(role -> role.getCode().equals(RoleMeta.MARKER.name()))
                .collect(Collectors.toList());
        return tempRoles;
    }

    public List<Role> findNonMarkerRoles(){
        List<Role> tempRoles = new ArrayList<>(RolesService.ROLE_LIST);
        tempRoles = tempRoles.stream()
                .filter(role -> !role.getCode().equals(RoleMeta.MARKER.name()))
                .filter(role -> !role.getCode().equals(RoleMeta.STUDENT.name()))
                .collect(Collectors.toList());
        return tempRoles;
    }

    public List<Role> findAdminRoles(){
        List<Role> tempRoles = new ArrayList<>(RolesService.ROLE_LIST);
        tempRoles = tempRoles.stream()
                .filter(role -> !role.getCode().equals(RoleMeta.MARKER.name()))
                .filter(role -> !role.getCode().equals(RoleMeta.STUDENT.name()))
                .filter(role -> !role.getCode().equals(RoleMeta.LC_USER.name()))
                .collect(Collectors.toList());
        return tempRoles;
    }


}
