package cn.com.qmth.examcloud.service.core.entity;

import java.util.List;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;


/**
 * 
 * @author  	chenken
 * @date    	2017年6月15日下午2:57:19
 * @company 	QMTH
 * @description	权限
 */
@Entity
@Table(name = "ecs_permission")
public class Permission {
	
	@Id
    @GeneratedValue
	private Integer id;
	/**
	 * 权限名称
	 */
	
	private String name;
	/**
	 * 父ID
	 */
	private Integer parentId;
	/**
	 * URL访问路径
	 */
	private String urlPath;
	/**
	 * 系统名称
	 */
	private String systemName;
	
	/**
	 * 权限类型
	 */
	private String type;
	
	/**
	 * 权限描述
	 */
	private String description;
	
	//@Transient:不参与持久化
	@Transient
	private List<Permission> subPermissions;
	
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public Integer getParentId() {
		return parentId;
	}
	public void setParentId(Integer parentId) {
		this.parentId = parentId;
	}
	
	public String getUrlPath() {
		return urlPath;
	}
	public void setUrlPath(String urlPath) {
		this.urlPath = urlPath;
	}
	public String getSystemName() {
		return systemName;
	}
	public void setSystemName(String systemName) {
		this.systemName = systemName;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public List<Permission> getSubPermissions() {
		return subPermissions;
	}
	public void setSubPermissions(List<Permission> subPermissions) {
		this.subPermissions = subPermissions;
	}
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	
}
