package cn.com.qmth.examcloud.service.core.repo;

import java.util.List;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.service.core.entity.Org;

/**
 * Created by songyue on 17/1/13.
 */
public interface OrgRepo extends JpaRepository<Org,Long>,QueryByExampleExecutor<Org>{

    List<Org> findByRootId(long rootId);

    List<Org> findById(long id);

    @Query(nativeQuery = true,value = "select *from ecs_core_org where parent_id=:parentId")
    List<Org> findBothByParentId(@Param("parentId") long parentId);

    @Query(nativeQuery = true,value = "select *from ecs_core_org where parent_id=:parentId and enable = 1")
    List<Org> findByParentId(@Param("parentId") long parentId);

    @Query(nativeQuery = true,value = "select *from ecs_core_org where (id=:parentId or parent_id=:parentId) and enable = 1")
    List<Org> findAllByParentId(@Param("parentId") long parentId);

    @Query(nativeQuery = true,value = "select *from ecs_core_org where parent_id=:parentId and code=:code and enable = 1")
	Org findFirstByParentIdAndCode(@Param("parentId") Long parentId, @Param("code")String code);
}
