package cn.com.qmth.examcloud.service.core;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Profile;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.web.servlet.config.annotation.CorsRegistry;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter;

import cn.com.qmth.examcloud.common.uac.AccessCtrlInterceptor;

/**
 * prod环境开启权限验证
 * @author ting.yin
 */
@Configuration
//@Profile("prod")
public class AccessControlConfig extends WebMvcConfigurerAdapter {

	@Autowired
	RedisTemplate redisTemplate;

	@Bean
	public AccessCtrlInterceptor getInterceptor() {
		return new AccessCtrlInterceptor(redisTemplate);
	}

    @Override
	public void addInterceptors(InterceptorRegistry registry) {
		registry.addInterceptor(getInterceptor()).addPathPatterns("/**").excludePathPatterns("/**/swagger-ui.html#/**");
	}
	@Override
	public void addCorsMappings(CorsRegistry registry) {
		registry.addMapping("/**")
				.allowedOrigins("*")
				.allowedMethods("GET", "HEAD", "POST", "PUT", "PATCH", "DELETE", "OPTIONS", "TRACE")
				.allowedHeaders("*");
	}
}
